---
title: CSSStyleDeclaration.getPropertyCSSValue()
slug: Web/API/CSSStyleDeclaration/getPropertyCSSValue
tags:
  - API
  - CSSOM
  - Method
  - Obsolete
  - Reference
---
<p>{{ APIRef("CSSOM") }} {{Obsolete_header}}</p>

<p><span class="seoSummary">The <strong>CSSStyleDeclaration.getPropertyCSSValue()</strong> method interface returns a {{domxref('CSSValue')}} containing the CSS value for a property.</span> Note that it returns <code>null</code> if the property name is a shorthand property.</p>

<p>You should use {{domxref("CSSStyleDeclaration.getPropertyValue()")}} instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>value</em> = <em>style</em>.getPropertyCSSValue(<em>property</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><em><code>property</code></em> is a {{domxref('DOMString')}} representing the property name to be retrieved.</li>
</ul>

<h3 id="Return_value">Return value</h3>

<ul>
 <li><code><em>value</em></code> is a {{domxref('CSSValue')}} containing the CSS value for a property. If none exists, returns <code>null</code>.</li>
</ul>

<h2 id="Example">Example</h2>

<p>The following JavaScript code gets an object containing the computed RGB values of the <code>color</code> CSS property:</p>

<pre class="brush: js notranslate">var style = window.getComputedStyle(elem, null);
var rgbObj = style.getPropertyCSSValue('color').getRGBColorValue();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSStyleDeclaration', 'CSSStyleDeclaration')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Declared as obsolete in <a href="https://lists.w3.org/Archives/Public/www-style/2003Oct/0347.html">July 2003</a>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.getPropertyCSSValue")}}</p>
